{"title":"Get locations","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_location_get/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_location_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_location_get","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"Gets a location object in Dynamics 365 Business Central.","date":"2026-08-21","meta":{"topic":"reference"},"outline":[{"level":2,"title":"HTTP request","slug":"http-request","at":86,"chars":208},{"level":2,"title":"Request headers","slug":"request-headers","at":294,"chars":72},{"level":2,"title":"Request body","slug":"request-body","at":366,"chars":61},{"level":2,"title":"Response","slug":"response","at":427,"chars":120},{"level":2,"title":"Example","slug":"example","at":547,"chars":593},{"level":2,"title":"Related information","slug":"related-information","at":1140,"chars":235}],"text":"Retrieves the properties and relationships of a location object for Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nGET businesscentralPrefix/companies({id})/locations({id})\n```\n## Request headers\nHeader|Value\nAuthorization|Bearer {token}. Required.\n## Request body\nDon't supply a request body for this method.\n## Response\nIf successful, this method returns a ```200 OK``` response code and a location object in the response body.\n## Example\nRequest\nHere's an example of the request.\n```json\nGET https://{businesscentralPrefix}/api/v2.0/companies({id})/locations({id})\n```\nResponse\nHere's an example of the response.\n```json\n{\n    \"id\": \"59f029b1-508c-ed11-aada-000d3a298ab3\",\n    \"code\": \"MAIN\",\n    \"displayName\": \"Main Warehouse\",\n    \"contact\": \"Eleanor Faulkner\",\n    \"addressLine1\": \"UK Campus Bldg 5\",\n    \"addressLine2\": \"Thames Valley Park\",\n    \"city\": \"Reading\",\n    \"state\": \"\",\n    \"country\": \"GB\",\n    \"postalCode\": \"RG6 1WG\",\n    \"phoneNumber\": \"+44-(0)10 5214 4987\",\n    \"email\": \"\",\n    \"website\": \"\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../resources/dynamics_location\ndynamics_location_delete\nPOST location<dynamics_location_create>\nPATCH location<dynamics_location_update>"}